import { sdk_service_definition, sdk_service_definition_inputs, sdk_service_definition_method, sdk_service_definition_methods, sdk_service_definition_models, sdk_service_definition_queries } from "../../types";
import AbstractGraphQLSdkSourceCodeGenerator from "../../AbstractGraphQLSdkSourceCodeGenerator";
export declare class GoGraphqlSdkSourceCodeGenerator extends AbstractGraphQLSdkSourceCodeGenerator {
    getLanguage(): string;
    protected buildDynamicFilesFromServiceDefAndVars(def: sdk_service_definition, vars: any, r: Function): Promise<{
        [x: string]: Function;
        'LICENSE.md': Function;
        'README.md': Function;
        '.gitignore': Function;
        'go.mod': Function;
        'cli/cli.go': Function;
        'cli/commands/all.go': Function;
        'queries.go': () => string;
        'types_utils.go': Function;
        'types/input.go': () => string;
        'types/model.go': () => string;
        'types/response.go': () => string;
        'base_client.go': Function;
        'config.go': Function;
        'factories.go': Function;
        'fields.go': Function;
        'graphql.go': Function;
        'graphql_test.go': Function;
        'retriers.go': Function;
        'retry.go': Function;
        'types.go': Function;
        'utils.go': Function;
    }>;
    protected buildResponsesFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildSdkMethodBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodMutationBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodQueryBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodMutationCreateBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodMutationUpdateBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected convertVarName(name: string): any;
    protected buildSdkMethodMutationDeleteBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected generateMapStringInterfaceContentFromArgs(args: any[]): string;
    protected buildSdkMethodMutationGenericBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodQueryGetBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodQueryFindBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethodQueryGenericBody(q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkMethod(methodName: any, q: sdk_service_definition_method, def: any, vars: any): string;
    protected buildSdkFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildTypeModelGetters(modelGetters: any, q: any): string;
    protected buildTypesFileContent(def: sdk_service_definition_inputs | sdk_service_definition_models, vars: any, inputMode?: boolean): Promise<string>;
    protected buildFieldsNamesAndTypes(f: any, builtType: any, n: any, nameMaxLength: any, typeMaxLength: any, pointerMode?: boolean): string;
    protected buildQueriesFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildInputsFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildModelsFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected capitalizeFirstLetter(s: any): any;
    protected buildTypeFields(o: any, n: any, prefix: any, pointerMode?: boolean): string;
    protected buildsQueries(o: any): string;
    protected buildArgs(o: any, first?: boolean): string;
    protected buildQueryFields(o: any): string;
    protected buildFieldTypes(f: any, nonPrimitivePrefix?: string): any;
    protected buildSdkArgs(o: any): string;
    protected buildSdkMethodReturnType(o: any): string;
    protected buildResponseStructNameFromMethod(methodName: any, vars: any): string;
    protected buildSdkMethodReturnTypeDefinition(methodName: any, q: sdk_service_definition_method, def: sdk_service_definition, vars: any): string;
    protected sortQueries(q: sdk_service_definition_queries): [string, import("../../types").sdk_service_definition_query][];
    protected sortMethods(q: sdk_service_definition_methods): [string, sdk_service_definition_method][];
}
export default GoGraphqlSdkSourceCodeGenerator;
//# sourceMappingURL=GoGraphqlSdkSourceCodeGenerator.d.ts.map