import { sdk_service_definition } from "../../types";
import AbstractGraphQLSdkSourceCodeGenerator from "../../AbstractGraphQLSdkSourceCodeGenerator";
export declare class JavascriptGraphqlSdkSourceCodeGenerator extends AbstractGraphQLSdkSourceCodeGenerator {
    getLanguage(): string;
    protected buildDynamicFilesFromServiceDefAndVars(def: sdk_service_definition, vars: any, r: Function): Promise<{
        'src/index.js': Function;
        'src/Sdk.js': Function;
        'src/BaseSdk.js': Function;
        'src/config.js': Function;
        'src/queries.js': Function;
        'LICENSE.md': Function;
        'package.json': Function;
        'README.md': Function;
        '.nvmrc': Function;
    }>;
    protected buildVars(): Promise<{
        [key: string]: any;
    }>;
    protected buildPackageJsonModel({ packageName, packageVersion, packageDescription, repository, publishConfig, dependencies, peerDependencies, devDependencies, repoType }: any): Promise<any>;
    protected buildStaticFilesFromStaticTemplates(): Promise<{
        [key: string]: string | true;
    }>;
    mapTypeName(name: string): string;
}
export default JavascriptGraphqlSdkSourceCodeGenerator;
//# sourceMappingURL=JavascriptGraphqlSdkSourceCodeGenerator.d.ts.map